=== debian/changelog ===
osm2pgsql (1.8.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Skip dwz, causes FTBFS: Unknown DWARF DW_OP_255.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Feb 2023 06:31:05 +0100

osm2pgsql (1.8.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.
  * Drop obsolete rapidjson-dev build dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Jan 2023 18:59:54 +0100

osm2pgsql (1.7.2+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Nov 2022 05:47:42 +0100

osm2pgsql (1.7.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop osm2pgsql-replication-install.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Nov 2022 06:58:38 +0100

osm2pgsql (1.7.1+ds-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Nov 2022 05:19:21 +0100

osm2pgsql (1.7.1+ds-2) unstable; urgency=medium

  * Set OSM2PGSQL_BINDIR for osm2pgsql-replication.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 05 Oct 2022 06:40:46 +0200

osm2pgsql (1.7.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix osm2pgsql-replication installation.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 05 Oct 2022 05:21:03 +0200

osm2pgsql (1.7.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Aug 2022 06:47:46 +0200

osm2pgsql (1.6.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 30 Jan 2022 06:55:24 +0100

osm2pgsql (1.5.2+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Jan 2022 05:52:21 +0100

osm2pgsql (1.5.1+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Aug 2021 08:39:29 +0200
