=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for osm2pgsql

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Verbose test output
export VERBOSE=1

CFLAGS += $(CPPFLAGS) -DNDEBUG
CXXFLAGS += $(CPPFLAGS) -DNDEBUG

%:
	dh $@ --with python3 --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DEXTERNAL_LIBOSMIUM=ON \
	                     -DEXTERNAL_PROTOZERO=ON \
	                     -DEXTERNAL_RAPIDJSON=ON

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

override_dh_compress:
	# clean up some naive file permissions
	dh_compress -X.php -X.sql -X.js -X.c -X.h

# Skip dwz, causes FTBFS: Unknown DWARF DW_OP_255
override_dh_dwz:
