## osm2pgsql 1.9.0+ds

=== debian/changelog ===
osm2pgsql (1.9.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop gcc-13 patch, included upstream.
  * Update build dependencies for osm2pgsql-gen.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Aug 2023 06:25:14 +0200

osm2pgsql (1.8.1+ds-2) unstable; urgency=medium

  * Bump debhelper compat to 13.
  * Add upstream patch to fix FTBFS with gcc-13.
    (closes: #1037812)
  * Use external {fmt}.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Jul 2023 19:10:14 +0200

osm2pgsql (1.8.1+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 11:57:46 +0200

osm2pgsql (1.8.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Feb 2023 14:40:29 +0100
