=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               cimg-dev,
                cmake,
                dh-python,
                libboost-dev,
@@ -14,19 +15,22 @@
                libboost-filesystem-dev,
                libbz2-dev,
                libexpat1-dev,
+               libfmt-dev,
                libosmium2-dev (>= 2.17.3),
+               libpotrace-dev,
                libpq-dev,
                libproj-dev,
                zlib1g-dev,
                liblua5.3-dev,
                lua5.3,
+               nlohmann-json3-dev,
                python3,
                python3-argparse-manpage,
                python3-psycopg2,
                python3-pyosmium
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgsql
-Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgsql.git -b bullseye-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgsql.git
 Homepage: https://osm2pgsql.org/
 Rules-Requires-Root: no
