## osm2pgsql 1.9.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
-cmake_minimum_required(VERSION 3.5.0)
-
-project(osm2pgsql VERSION 1.8.0 LANGUAGES CXX C)
+cmake_minimum_required(VERSION 3.8.0)
+
+project(osm2pgsql VERSION 1.9.1 LANGUAGES CXX C)
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
@@ -37,12 +37,8 @@
     set(CMAKE_BUILD_TYPE RelWithDebInfo)
 endif()
 
-if (NOT "${CMAKE_CXX_STANDARD}")
-    set(CMAKE_CXX_STANDARD 17)
-endif()
-message(STATUS "Building in C++${CMAKE_CXX_STANDARD} mode")
+# We don't want to use special compiler extensions because we want portability
 set(CMAKE_CXX_EXTENSIONS OFF)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 if (MSVC)
     add_definitions(-D_CRT_SECURE_NO_WARNINGS -DNOMINMAX)
@@ -204,6 +200,14 @@
 include_directories(SYSTEM ${PostgreSQL_INCLUDE_DIRS})
 
 find_package(Threads)
+
+find_path(NLOHMANN_INCLUDE_DIR nlohmann/json.hpp)
+include_directories(SYSTEM ${NLOHMANN_INCLUDE_DIR})
+
+find_path(POTRACE_INCLUDE_DIR potracelib.h)
+find_library(POTRACE_LIBRARY NAMES potrace)
+
+find_path(CIMG_INCLUDE_DIR CImg.h)
 
 ############### Libraries are found now ########################
 
@@ -276,6 +280,33 @@
 add_executable(osm2pgsql src/osm2pgsql.cpp)
 target_link_libraries(osm2pgsql osm2pgsql_lib ${LIBS})
 
+if (${POTRACE_LIBRARY} STREQUAL "POTRACE_LIBRARY-NOTFOUND" OR ${CIMG_INCLUDE_DIR} STREQUAL "CIMG_INCLUDE_DIR-NOTFOUND")
+    message(STATUS "Did not find cimg and/or potrace library. Not building osm2pgsql-gen.")
+else()
+    if (WITH_LUA)
+        message(STATUS "Found cimg and potrace library. Building osm2pgsql-gen.")
+        set(BUILD_GEN 1)
+        include_directories(SYSTEM ${CIMG_INCLUDE_DIR})
+        include_directories(SYSTEM ${POTRACE_INCLUDE_DIR})
+        add_executable(osm2pgsql-gen src/gen/osm2pgsql-gen.cpp
+                    src/gen/canvas.cpp
+                    src/gen/gen-base.cpp
+                    src/gen/gen-create.cpp
+                    src/gen/gen-discrete-isolation.cpp
+                    src/gen/gen-rivers.cpp
+                    src/gen/gen-tile-builtup.cpp
+                    src/gen/gen-tile-raster.cpp
+                    src/gen/gen-tile-vector.cpp
+                    src/gen/gen-tile.cpp
+                    src/gen/params.cpp
+                    src/gen/raster.cpp
+                    src/gen/tracer.cpp)
+        target_link_libraries(osm2pgsql-gen osm2pgsql_lib ${LIBS} ${POTRACE_LIBRARY})
+    else()
+        message(STATUS "No Lua. Not building osm2pgsql-gen.")
+    endif()
+endif()
+
 #############################################################
 # Optional "clang-tidy" target
 #############################################################
@@ -287,7 +318,7 @@
 if (CLANG_TIDY)
     message(STATUS "Looking for clang-tidy - found ${CLANG_TIDY}")
 
-    file(GLOB CT_CHECK_FILES src/*.cpp tests/*cpp)
+    file(GLOB CT_CHECK_FILES src/*.cpp src/*/*.cpp tests/*cpp)
 
     add_custom_target(clang-tidy
         ${CLANG_TIDY}
@@ -311,26 +342,3 @@
     add_subdirectory(tests)
     configure_file(
         ${PROJECT_SOURCE_DIR}/tests/run-behave.in
-        ${PROJECT_BINARY_DIR}/run-behave
-    )
-else()
-    message(STATUS "Tests disabled. Set BUILD_TESTS=ON to enable tests.")
-endif()
-
-#############################################################
-# Man page
-#############################################################
-
-add_subdirectory(docs)
-
-#############################################################
-# Install
-#############################################################
-
-include(GNUInstallDirs)
-
-if (ENABLE_INSTALL)
-    install(TARGETS osm2pgsql DESTINATION bin)
-    install(FILES default.style empty.style DESTINATION share/osm2pgsql)
-    install(PROGRAMS scripts/osm2pgsql-replication DESTINATION bin)
-endif()
