=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,17 @@
 
 add_library(osm2pgsql_lib STATIC)
 
+# Set the minimum required C++ version for the library and hence for all
+# binaries that use it.
+target_compile_features(osm2pgsql_lib PUBLIC cxx_std_17)
+
 target_sources(osm2pgsql_lib PRIVATE
+  command-line-parser.cpp
   db-copy.cpp
+  debug-output.cpp
   dependency-manager.cpp
   expire-tiles.cpp
+  expire-output.cpp
   gazetteer-style.cpp
   geom.cpp
   geom-box.cpp
@@ -18,7 +25,6 @@
   middle-ram.cpp
   node-locations.cpp
   node-persistent-cache.cpp
-  options.cpp
   ordered-index.cpp
   osmdata.cpp
   output-gazetteer.cpp
@@ -29,6 +35,7 @@
   pgsql-capabilities.cpp
   pgsql-helper.cpp
   progress-display.cpp
+  properties.cpp
   reprojection.cpp
   table.cpp
   taginfo.cpp
@@ -50,10 +57,13 @@
         flex-index.cpp
         flex-table.cpp
         flex-table-column.cpp
+        flex-lua-expire-output.cpp
         flex-lua-geom.cpp
         flex-lua-index.cpp
+        flex-lua-table.cpp
         flex-write.cpp
         geom-transform.cpp
+        lua-setup.cpp
         lua-utils.cpp
         output-flex.cpp
         tagtransform-lua.cpp
