=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
 add_definitions(-DOSM2PGSQLDATA_DIR=\"${osm2pgsql_SOURCE_DIR}/\")
 
 add_library(catch_main_lib STATIC catch-main.cpp)
+target_compile_features(catch_main_lib PUBLIC cxx_std_17)
 
 set_test(test-check-input LABELS NoDB)
 set_test(test-db-copy-thread)
@@ -62,6 +63,7 @@
 set_test(test-options-parse LABELS NoDB)
 set_test(test-options-projection)
 set_test(test-ordered-index LABELS NoDB)
+set_test(test-osm-file-parsing LABELS NoDB)
 set_test(test-output-gazetteer)
 set_test(test-output-pgsql)
 set_test(test-output-pgsql-area)
@@ -72,10 +74,10 @@
 set_test(test-output-pgsql-tablespace LABELS Tablespace)
 set_test(test-output-pgsql-validgeom)
 set_test(test-output-pgsql-z_order)
-set_test(test-parse-osmium LABELS NoDB)
 set_test(test-persistent-cache LABELS NoDB)
 set_test(test-pgsql)
 set_test(test-pgsql-capabilities)
+set_test(test-properties)
 set_test(test-reprojection LABELS NoDB)
 set_test(test-taginfo LABELS NoDB)
 set_test(test-tile LABELS NoDB)
@@ -101,7 +103,7 @@
     set_test(test-output-flex-validgeom)
 
     set_test(test-output-flex-example-configs)
-    set(FLEX_EXAMPLE_CONFIGS "addresses,attributes,bbox,compatible,data-types,generic,geometries,indexes,places,route-relations,simple,unitable")
+    set(FLEX_EXAMPLE_CONFIGS "addresses,attributes,bbox,compatible,data-types,expire,generic,geometries,indexes,places,route-relations,simple,unitable")
     # with-schema.lua is not tested because it needs the schema created in the database
     set_tests_properties(test-output-flex-example-configs PROPERTIES ENVIRONMENT "EXAMPLE_FILES=${FLEX_EXAMPLE_CONFIGS}")
 endif()
