=== debian/changelog ===
osm2pgsql (1.9.1+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Aug 2023 07:11:17 +0200

osm2pgsql (1.9.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Enable Salsa CI.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Aug 2023 05:33:47 +0200

osm2pgsql (1.9.0+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Aug 2023 05:58:04 +0200

osm2pgsql (1.8.1+ds-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Jul 2023 15:00:30 +0200
