=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DEXTERNAL_LIBOSMIUM=ON \
 	                     -DEXTERNAL_PROTOZERO=ON \
-	                     -DEXTERNAL_RAPIDJSON=ON
+	                     -DEXTERNAL_FMT=ON
 
 override_dh_auto_test:
 	dh_auto_test || echo "Ignoring test failures"
@@ -27,6 +27,3 @@
 override_dh_compress:
 	# clean up some naive file permissions
 	dh_compress -X.php -X.sql -X.js -X.c -X.h
-
-# Skip dwz, causes FTBFS: Unknown DWARF DW_OP_255
-override_dh_dwz:
