## osm2pgsql 1.10.0+ds

=== debian/changelog ===
osm2pgsql (1.10.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add architecture-is-64-bit to build depends.
  * Remove cimg-dev from build dependencies and add libopencv-dev.
  * Update docs paths.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Nov 2023 20:45:08 +0100

osm2pgsql (1.9.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Switch to dh-sequence-*.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Sep 2023 15:07:51 +0200
