=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cimg-dev,
+Build-Depends: architecture-is-64-bit,
+               debhelper-compat (= 13),
                cmake,
                dh-python,
+               dh-sequence-python3,
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
                libbz2-dev,
                libexpat1-dev,
                libfmt-dev,
+               libopencv-dev,
                libosmium2-dev (>= 2.17.3),
                libpotrace-dev,
                libpq-dev,
@@ -30,7 +32,7 @@
                python3-pyosmium
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgsql
-Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgsql.git -b bookworm-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgsql.git
 Homepage: https://osm2pgsql.org/
 Rules-Requires-Root: no
