=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 CXXFLAGS += $(CPPFLAGS) -DNDEBUG
 
 %:
-	dh $@ --with python3 --buildsystem cmake
+	dh $@ --buildsystem cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DEXTERNAL_LIBOSMIUM=ON \
