## osm2pgsql 1.11.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 cmake_minimum_required(VERSION 3.8.0)
 
-project(osm2pgsql VERSION 1.9.1 LANGUAGES CXX C)
+project(osm2pgsql VERSION 1.11.0 LANGUAGES CXX C)
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
@@ -16,6 +16,10 @@
     set(ENABLE_INSTALL OFF)
 endif()
 
+if (NOT ${CMAKE_SIZEOF_VOID_P} EQUAL 8)
+    message(FATAL_ERROR "osm2pgsql needs a 64 bit architecture")
+endif()
+
 if (WIN32)
     set(DEFAULT_STYLE "default.style" CACHE STRING "Default style used unless one is given on the command line")
 else()
@@ -51,6 +55,7 @@
 option(EXTERNAL_LIBOSMIUM "Do not use the bundled libosmium" OFF)
 option(EXTERNAL_PROTOZERO "Do not use the bundled protozero" OFF)
 option(EXTERNAL_FMT       "Do not use the bundled fmt"       OFF)
+option(EXTERNAL_CLI11     "Do not use the bundled CLI11"     OFF)
 
 set(USE_PROJ_LIB "auto" CACHE STRING "Which version of PROJ API to use: ('4', '6', 'off', or 'auto')")
 
@@ -171,10 +176,14 @@
     set(FMT_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/contrib/fmt/include")
 endif()
 
+if (NOT EXTERNAL_CLI11)
+    set(CLI11_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/contrib/CLI11/include")
+endif()
+
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src ${CMAKE_CURRENT_BINARY_DIR})
 
 find_package(Osmium 2.17.3 REQUIRED COMPONENTS io)
-include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS} ${PROTOZERO_INCLUDE_DIR} ${FMT_INCLUDE_DIR})
+include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS} ${PROTOZERO_INCLUDE_DIR} ${FMT_INCLUDE_DIR} ${CLI11_INCLUDE_DIR})
 
 if (WITH_LUA)
     if (WITH_LUAJIT)
@@ -207,7 +216,7 @@
 find_path(POTRACE_INCLUDE_DIR potracelib.h)
 find_library(POTRACE_LIBRARY NAMES potrace)
 
-find_path(CIMG_INCLUDE_DIR CImg.h)
+find_package(OpenCV QUIET OPTIONAL_COMPONENTS core imgcodecs imgproc)
 
 ############### Libraries are found now ########################
 
@@ -257,16 +266,6 @@
 
 if (WIN32)
     list(APPEND LIBS ws2_32)
-    if (MSVC)
-        find_path(GETOPT_INCLUDE_DIR getopt.h)
-        find_library(GETOPT_LIBRARY NAMES wingetopt getopt)
-        if (GETOPT_INCLUDE_DIR AND GETOPT_LIBRARY)
-            include_directories(SYSTEM ${GETOPT_INCLUDE_DIR})
-            list(APPEND LIBS ${GETOPT_LIBRARY})
-        else()
-            message(FATAL_ERROR "Can not find getopt library for Windows. Please get it from https://github.com/alex85k/wingetopt or alternative source.")
-        endif()
-    endif()
 endif()
 
 message(STATUS "Libraries used to build: ${LIBS}")
@@ -280,13 +279,12 @@
 add_executable(osm2pgsql src/osm2pgsql.cpp)
 target_link_libraries(osm2pgsql osm2pgsql_lib ${LIBS})
 
-if (${POTRACE_LIBRARY} STREQUAL "POTRACE_LIBRARY-NOTFOUND" OR ${CIMG_INCLUDE_DIR} STREQUAL "CIMG_INCLUDE_DIR-NOTFOUND")
-    message(STATUS "Did not find cimg and/or potrace library. Not building osm2pgsql-gen.")
+if (${POTRACE_LIBRARY} STREQUAL "POTRACE_LIBRARY-NOTFOUND" OR NOT OPENCV_CORE_FOUND)
+    message(STATUS "Did not find opencv and/or potrace library. Not building osm2pgsql-gen.")
 else()
     if (WITH_LUA)
-        message(STATUS "Found cimg and potrace library. Building osm2pgsql-gen.")
+        message(STATUS "Found opencv and potrace library. Building osm2pgsql-gen.")
         set(BUILD_GEN 1)
-        include_directories(SYSTEM ${CIMG_INCLUDE_DIR})
         include_directories(SYSTEM ${POTRACE_INCLUDE_DIR})
         add_executable(osm2pgsql-gen src/gen/osm2pgsql-gen.cpp
                     src/gen/canvas.cpp
@@ -301,7 +299,7 @@
                     src/gen/params.cpp
                     src/gen/raster.cpp
                     src/gen/tracer.cpp)
-        target_link_libraries(osm2pgsql-gen osm2pgsql_lib ${LIBS} ${POTRACE_LIBRARY})
+        target_link_libraries(osm2pgsql-gen osm2pgsql_lib ${LIBS} ${POTRACE_LIBRARY} ${OpenCV_LIBS})
     else()
         message(STATUS "No Lua. Not building osm2pgsql-gen.")
     endif()
@@ -342,3 +340,11 @@
     add_subdirectory(tests)
     configure_file(
         ${PROJECT_SOURCE_DIR}/tests/run-behave.in
+        ${PROJECT_BINARY_DIR}/run-behave
+    )
+else()
+    message(STATUS "Tests disabled. Set BUILD_TESTS=ON to enable tests.")
+endif()
+
+#############################################################
+# Man page
