=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 target_compile_features(osm2pgsql_lib PUBLIC cxx_std_17)
 
 target_sources(osm2pgsql_lib PRIVATE
+  command-line-app.cpp
   command-line-parser.cpp
   db-copy.cpp
   debug-output.cpp
