=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -59,7 +59,6 @@
 set_test(test-json-writer LABELS NoDB)
 set_test(test-middle)
 set_test(test-node-locations LABELS NoDB)
-set_test(test-options-database LABELS NoDB)
 set_test(test-options-parse LABELS NoDB)
 set_test(test-options-projection)
 set_test(test-ordered-index LABELS NoDB)
