=== debian/changelog ===
osm2pgsql (1.11.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Use external CLI11.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Feb 2024 05:41:02 +0100
