=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libboost-system-dev,
                libboost-filesystem-dev,
                libbz2-dev,
+               libcli11-dev,
                libexpat1-dev,
                libfmt-dev,
                libopencv-dev,
