=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DEXTERNAL_LIBOSMIUM=ON \
 	                     -DEXTERNAL_PROTOZERO=ON \
-	                     -DEXTERNAL_FMT=ON
+	                     -DEXTERNAL_FMT=ON \
+	                     -DEXTERNAL_CLI11=ON
 
 override_dh_auto_test:
 	dh_auto_test || echo "Ignoring test failures"
