## osm2pgsql 2.0.0+ds

=== debian/changelog ===
osm2pgsql (2.0.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Drop obsolete Boost build dependencies.
  * Don't use external libfmt, causes FTBFS.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Sep 2024 18:32:12 +0200
